﻿using Shared;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SQLDatabaseRepository
{
    public class SQLRepository : IPersonRepository
    {
        public void AddPerson(Person person)
        {
            throw new NotImplementedException();
        }

        public IEnumerable<Person> GetPeople()
        {
            List<Person> people = new List<Person>();
            using (SqlConnection connection =
                new SqlConnection(ConfigurationManager.ConnectionStrings["PeopleDB"].ToString()))
            {
                connection.Open();
                using (SqlCommand cmd = new SqlCommand("SELECT * FROM People", connection))
                {
                    using (SqlDataReader reader = cmd.ExecuteReader())
                    {
                        if (reader != null)
                        {
                            while (reader.Read())
                            {
                                Person person = new Person()
                                {
                                    Id = int.Parse(reader["Id"].ToString()),
                                    FirstName = reader["FirstName"].ToString(),
                                    LastName = reader["LastName"].ToString(),
                                    BirthDate = DateTime.Parse(reader["BirthDate"].ToString())
                                };

                                people.Add(person);
                            }
                        }
                    }
                }
            }

            return people;
        }

        public Person GetPerson(string firstName)
        {
            throw new NotImplementedException();
        }

        public void UpdatePerson(int personId, Person updatedPerson)
        {
            throw new NotImplementedException();
        }

        public void DeletePerson(string firstName)
        {
            throw new NotImplementedException();
        }

        public void UpdatePeople(IEnumerable<Person> updatedPeopele)
        {
            throw new NotImplementedException();
        }
    }
}
