﻿using Shared;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Program
{
    class Program
    {
        static void Main(string[] args)
        {
            FetchData();
            Console.ReadKey();
        }

        private static void FetchData()
        {
            IPersonRepository repo = RepositoryFactory.GetRepository();
            IEnumerable<Person> people = repo.GetPeople();
            displayPeople(people);
        }

        private static void displayPeople(IEnumerable<Person> people)
        {
            foreach (var person in people)
            {
                Console.WriteLine(person.Id + " " + person.FirstName + " " + person.LastName);
            }
        }
    }
}
