﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Shared
{
    public interface IPersonRepository
    {
        void AddPerson(Person person);
        IEnumerable<Person> GetPeople();
        Person GetPerson(string firstName);
        void UpdatePerson(int personId, Person updatedPerson);
        void DeletePerson(string firstName);
        void UpdatePeople(IEnumerable<Person> updatedPeopele);
    }
}
